Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Nov 2020 23:04:12 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 24 Nov 2020 12:46:39 -0800
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Does anyone have any objections to, or see any problems with adding the
> >> lexical-binding cookie to autoload files, as in the attached patch?
> >
> > What are the benefits from doing so?
> 
> AFAICT, there are no immediate practical benefits.  But if we ever want
> to have lexical-binding enabled by default, many things will have to be
> done.  This is just another (admittedly small) step on that long journey.

I guess I'm asking how is this a step on that journey.  Can you
elaborate?